Subject: bug#20292: 24.5; Saving Git-controlled file with merge conflicts after "stash pop" stages the file

From: Stefan Monnier <[email-masked]>
Date: Thu, 14 May 2015 11:51:24 -0400

> May I ask why you have uncommitted changes when you pull (or do
> whatever else requires to stash them)?

Typical case:
- before committing, I do a final "pull".
- the "pull" fails, so I have to stash/pull/unstash
- the commit touches several files and has a conflict somewhere.

> Why don't you commit them or move them to a branch, or work on
> a branch to begin with?

Old habits die hard,

        Stefan